Loading...
Searching...
No Matches
gtsam::OptionalJacobian< Eigen::Dynamic, Eigen::Dynamic > Class Reference

## Public Member Functions

| OptionalJacobian ()
| View on constructor argument, if given.
| OptionalJacobian (Jacobian *pointer)
| Construct from pointer to dynamic matrix.
| OptionalJacobian (Jacobian &dynamic)
| Construct from refrence to dynamic matrix.
| OptionalJacobian (boost::none_t)
| Constructor with boost::none just makes empty.
| OptionalJacobian (const boost::optional< Eigen::MatrixXd & > optional)
| Constructor compatible with old-style derivatives.
| operator bool () const
| Return true if allocated, false if default constructor was used.
Jacobian & | operator* ()
| De-reference, like boost optional.
Jacobian * | operator-> ()
| TODO: operator->().
OptionalJacobian< Rows, N > | cols (int startCol)
| Access M*N sub-block if we are allocated, otherwise none TODO(frank): this could work as is below if only constructor above worked.

## Public Types

typedef Eigen::MatrixXd | Jacobian
| Jacobian size type.

## Constructor & Destructor Documentation

## OptionalJacobian()

gtsam::OptionalJacobian< Eigen::Dynamic, Eigen::Dynamic >::OptionalJacobian | ( |  | ) |

inline

View on constructor argument, if given.

Default constructor acts like boost::none

## Member Function Documentation

## cols()

OptionalJacobian< Rows, N > gtsam::OptionalJacobian< Rows, Cols >::cols | ( | int | startCol | ) |

inline

Access M*N sub-block if we are allocated, otherwise none TODO(frank): this could work as is below if only constructor above worked.

Access Rows*N sub-block if we are allocated, otherwise return an empty OptionalJacobian The use case is functions with arguments that are dissected, e.g. Pose3 into Rot3, Point3 TODO(frank): ideally, we'd like full block functionality, but see note above.

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/OptionalJacobian.h